Package: org.codehaus.groovy.util

## [Java] Class ReferenceManager

- org.codehaus.groovy.util.ReferenceManager

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ReferenceManager (ReferenceQueue queue)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `afterReferenceCreation(Reference r)`
    `` | `void` | `afterReferenceCreation(Reference r)`
    `` | `static ReferenceManager` | `createCallBackedManager(ReferenceQueue queue)`
    `` | `static ReferenceManager` | `createIdlingManager(ReferenceQueue queue)`
    `` | `static ReferenceManager` | `createThreadedManager(ReferenceQueue queue)`
    `` | `static ReferenceManager` | `createThresholdedIdlingManager(ReferenceQueue queue, ReferenceManager callback, int threshold)`
    `` | `static ReferenceBundle` | `getDefaultSoftBundle()` deprecated: use ReferenceBundle.getSoftBundle
    `` | `static ReferenceBundle` | `getDefaultWeakBundle()` deprecated: use ReferenceBundle.getWeakBundle
    `` | `protected ReferenceQueue` | `getReferenceQueue()`
    `` | `void` | `removeStallEntries()`
    `` | `void` | `removeStallEntries()`
    `` | `void` | `stopThread()`
    `` | `void` | `stopThread()`
    `` | `String` | `toString()`
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ReferenceManager(ReferenceQueue queue)

  - ### Method Detail

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void afterReferenceCreation(Reference r)

    - #### public void afterReferenceCreation(Reference r)

    - #### public static ReferenceManager createCallBackedManager(ReferenceQueue queue)

    - #### public static ReferenceManager createIdlingManager(ReferenceQueue queue)

    - #### public static ReferenceManager createThreadedManager(ReferenceQueue queue)

    - #### public static ReferenceManager createThresholdedIdlingManager(ReferenceQueue queue, ReferenceManager callback, int threshold)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprDeprecated public static ReferenceBundle getDefaultSoftBundle()

      deprecated:
        use ReferenceBundle.getSoftBundle

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprDeprecated public static ReferenceBundle getDefaultWeakBundle()

      deprecated:
        use ReferenceBundle.getWeakBundle

    - #### protected ReferenceQueue getReferenceQueue()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void removeStallEntries()

    - #### public void removeStallEntries()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void stopThread()

    - #### public void stopThread()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public String toString()